aboutsummaryrefslogtreecommitdiff
path: root/t/t1400-update-ref.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2006-09-16 13:46:00 -0700
committerJunio C Hamano <junkio@cox.net>2006-09-17 19:09:12 -0700
commitef176ad06afde424b2167da290a0fdd7fb8ca3d4 (patch)
treede6c4acd4593dc09b7edb0f6024f0ed6452927c3 /t/t1400-update-ref.sh
parent434cd0cd30d17bc703397a76480fdd129cecc064 (diff)
downloadgit-ef176ad06afde424b2167da290a0fdd7fb8ca3d4.tar.gz
git-ef176ad06afde424b2167da290a0fdd7fb8ca3d4.tar.xz
Fix t1400-update-ref test minimally
It depended on specific error messages to detect failure but the implementation changed and broke the test. This fixes the breakage minimally. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 't/t1400-update-ref.sh')
-rwxr-xr-xt/t1400-update-ref.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/t/t1400-update-ref.sh b/t/t1400-update-ref.sh
index b3b920edb..6a917f2ff 100755
--- a/t/t1400-update-ref.sh
+++ b/t/t1400-update-ref.sh
@@ -30,11 +30,8 @@ rm -f .git/$m
test_expect_success \
"fail to create $n" \
"touch .git/$n_dir
- git-update-ref $n $A >out 2>err
- test "'$? = 1 &&
- test "" = "$(cat out)" &&
- grep "error: unable to resolve reference" err &&
- grep '"$n err"
+ git-update-ref $n $A >out 2>err"'
+ test $? != 0'
rm -f .git/$n_dir out err
test_expect_success \